
#ifndef FileList_H
#define FileList_H

#include <deque>
#include <string>
#include <iostream>

class FileList
{
 public:
  FileList();
  ~FileList();
  
  void addFile(std:: string file);
  std::string getFileName(int position);
  unsigned int getNrOfCopys(int position);
  unsigned int getId(int position);
  unsigned int size();
  void clear();
  unsigned int getNextId();
  void remove(unsigned int pos);
  friend std::ostream& operator<<(std::ostream& os, FileList& fl);

 private:
  struct fileInfo
  {
    std::string file;
    unsigned int nrOfCopies;
    unsigned int id;
  };

  std::deque<fileInfo*> fileList;
  unsigned int nextId;
};
#endif
