
#ifndef VocList_H
#define VocList_H

#include <deque>
#include <iterator>
#include <iostream>
#include "VocPair.h"

class VocList
{
 public:
  VocList();
  ~VocList();
 
  void addVoc(VocPair* voc);
  VocPair* getVoc(unsigned int position);
  unsigned int size();
  void clear();
  void randomize();
  bool isRandom();
  void remove(unsigned int position);
  std::string toString(const std::string& wDel,
		       const std::string& lDel);
  friend std::ostream& operator<<(std::ostream& os, VocList& vl);

 private:
  std::deque<VocPair*> vocList;
  bool rnd;
};
#endif
